Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.callsite
Class CallSiteGenerator

    java.lang.Object
      org.codehaus.groovy.runtime.callsite.CallSiteGenerator

    class CallSiteGenerator
    extends Object

Constructor Summary
`private CallSiteGenerator()`

Method Summary
`static Constructor` | `compilePogoMethod(CachedMethod cachedMethod)`
`static Constructor` | `compilePojoMethod(CachedMethod cachedMethod)`
`static Constructor` | `compileStaticMethod(CachedMethod cachedMethod)`
`static void` | `genCallWithFixedParams(ClassWriter cw, String name, String superClass, CachedMethod cachedMethod, String receiverType)`
`static void` | `genCallXxxWithArray(ClassWriter cw, String name, String superClass, CachedMethod cachedMethod, String receiverType)`
`static byte[]` | `genPogoMetaMethodSite(CachedMethod cachedMethod, ClassWriter cw, String name)`
`static byte[]` | `genPojoMetaMethodSite(CachedMethod cachedMethod, ClassWriter cw, String name)`
`static byte[]` | `genStaticMetaMethodSite(CachedMethod cachedMethod, ClassWriter cw, String name)`
`static boolean` | `isCompilable(CachedMethod method)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### CallSiteGenerator

    private CallSiteGenerator()

Method Detail

### compilePogoMethod

    public static Constructor compilePogoMethod(CachedMethod cachedMethod)

### compilePojoMethod

    public static Constructor compilePojoMethod(CachedMethod cachedMethod)

### compileStaticMethod

    public static Constructor compileStaticMethod(CachedMethod cachedMethod)

### genCallWithFixedParams

    public static void genCallWithFixedParams(ClassWriter cw, String name, String superClass, CachedMethod cachedMethod, String receiverType)

### genCallXxxWithArray

    public static void genCallXxxWithArray(ClassWriter cw, String name, String superClass, CachedMethod cachedMethod, String receiverType)

### genPogoMetaMethodSite

    public static byte[] genPogoMetaMethodSite(CachedMethod cachedMethod, ClassWriter cw, String name)

### genPojoMetaMethodSite

    public static byte[] genPojoMetaMethodSite(CachedMethod cachedMethod, ClassWriter cw, String name)

### genStaticMetaMethodSite

    public static byte[] genStaticMetaMethodSite(CachedMethod cachedMethod, ClassWriter cw, String name)

### isCompilable

    public static boolean isCompilable(CachedMethod method)

Copyright © 2003-2009 The Codehaus. All rights reserved.